Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search
Class Environment

    java.lang.Object
      org.hibernate.search.Environment

    public final class Environment

extends java.lang.Object

Author:
  Emmanuel Bernard, Hardy Ferentschik

Field Summary
`static java.lang.String` | `ANALYZER_CLASS` Default Lucene analyser
`static java.lang.String` | `AUTOREGISTER_LISTENERS` Enable listeners auto registration in Hibernate Annotations and EntityManager.
`static java.lang.String` | `BATCH_BACKEND` batch backend implementation class (must have a no-arg constructor and implement BatchBackend) also prefix for configuration settings of the batch backend
`static java.lang.String` | `CACHE_DOCIDRESULTS_SIZE` number of docidresults cached in hard reference.
`static java.lang.String` | `ERROR_HANDLER` Set to a fully qualified classname of a type implementing org.hibernate.search.exception.ErrorHandler to override the error strategy used during processing of the Lucene updates.
`static java.lang.String` | `EXCLUSIVE_INDEX_USE` When set to true a lock on the index will not be released until the SearchFactory (or SessionFactory) is closed.
`static java.lang.String` | `FILTER_CACHING_STRATEGY` filter caching strategy class (must have a no-arg constructor and implement FilterCachingStrategy)
`static java.lang.String` | `INDEXING_STRATEGY` Defines the indexing strategy, default `event` Other options `manual`
`static java.lang.String` | `MODEL_MAPPING`
`static java.lang.String` | `READER_PREFIX` define the reader prefix
`static java.lang.String` | `READER_STRATEGY` define the reader strategy used
`static java.lang.String` | `SIMILARITY_CLASS` Default Lucene similarity
`static java.lang.String` | `WORKER_BACKEND`
`static java.lang.String` | `WORKER_BATCHSIZE` Defines the maximum number of indexing operation batched per transaction
`static java.lang.String` | `WORKER_EXECUTION`
`static java.lang.String` | `WORKER_PREFIX`
`static java.lang.String` | `WORKER_SCOPE`
`static java.lang.String` | `WORKER_THREADPOOL_SIZE` only used then execution is async Thread pool size default 1
`static java.lang.String` | `WORKER_WORKQUEUE_SIZE` Size of the buffer queue (besides the thread pool size) only used then execution is async default infinite

Constructor Summary
`Environment()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AUTOREGISTER_LISTENERS

    public static final java.lang.String AUTOREGISTER_LISTENERS

  Enable listeners auto registration in Hibernate Annotations and EntityManager. Default to true.

  See Also:
    Constant Field Values

### INDEXING_STRATEGY

    public static final java.lang.String INDEXING_STRATEGY

  Defines the indexing strategy, default `event` Other options `manual`

  See Also:
    Constant Field Values

### ANALYZER_CLASS

    public static final java.lang.String ANALYZER_CLASS

  Default Lucene analyser

  See Also:
    Constant Field Values

### SIMILARITY_CLASS

    public static final java.lang.String SIMILARITY_CLASS

  Default Lucene similarity

  See Also:
    Constant Field Values

### WORKER_PREFIX

    public static final java.lang.String WORKER_PREFIX

See Also:
  Constant Field Values

### WORKER_SCOPE

    public static final java.lang.String WORKER_SCOPE

See Also:
  Constant Field Values

### WORKER_BACKEND

    public static final java.lang.String WORKER_BACKEND

See Also:
  Constant Field Values

### WORKER_EXECUTION

    public static final java.lang.String WORKER_EXECUTION

See Also:
  Constant Field Values

### WORKER_BATCHSIZE

    public static final java.lang.String WORKER_BATCHSIZE

  Defines the maximum number of indexing operation batched per transaction

  See Also:
    Constant Field Values

### WORKER_THREADPOOL_SIZE

    public static final java.lang.String WORKER_THREADPOOL_SIZE

  only used then execution is async Thread pool size default 1

  See Also:
    Constant Field Values

### WORKER_WORKQUEUE_SIZE

    public static final java.lang.String WORKER_WORKQUEUE_SIZE

  Size of the buffer queue (besides the thread pool size)
  - only used then execution is async
  - default infinite

  See Also:
    Constant Field Values

### READER_PREFIX

    public static final java.lang.String READER_PREFIX

  define the reader prefix

  See Also:
    Constant Field Values

### READER_STRATEGY

    public static final java.lang.String READER_STRATEGY

  define the reader strategy used

  See Also:
    Constant Field Values

### FILTER_CACHING_STRATEGY

    public static final java.lang.String FILTER_CACHING_STRATEGY

  filter caching strategy class (must have a no-arg constructor and implement FilterCachingStrategy)

  See Also:
    Constant Field Values

### CACHE_DOCIDRESULTS_SIZE

    public static final java.lang.String CACHE_DOCIDRESULTS_SIZE

  number of docidresults cached in hard reference.

  See Also:
    Constant Field Values

### BATCH_BACKEND

    public static final java.lang.String BATCH_BACKEND

  batch backend implementation class (must have a no-arg constructor and implement BatchBackend) also prefix for configuration settings of the batch backend

  See Also:
    Constant Field Values

### EXCLUSIVE_INDEX_USE

    public static final java.lang.String EXCLUSIVE_INDEX_USE

  When set to true a lock on the index will not be released until the SearchFactory (or SessionFactory) is closed. This improves performance in applying changes to the index, but no other application can access the index in write mode while Hibernate Search is running. This is an index-scoped property and defaults to false.

  See Also:
    Constant Field Values

### MODEL_MAPPING

    public static final java.lang.String MODEL_MAPPING

See Also:
  Constant Field Values

### ERROR_HANDLER

    public static final java.lang.String ERROR_HANDLER

  Set to a fully qualified classname of a type implementing org.hibernate.search.exception.ErrorHandler to override the error strategy used during processing of the Lucene updates. Default is to log errors.

  See Also:
    Constant Field Values

Constructor Detail

### Environment

    public Environment()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.